Bug 1154802 - file reports "data" instead of zip file when the first file zipped is a file named "mime"
Summary: file reports "data" instead of zip file when the first file zipped is a file ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file
Version: 6.5
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Marek Marusic
URL:
Whiteboard:
Keywords:
: 1158950 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-20 19:33 UTC by Jonathan Works
Modified: 2016-05-10 19:47 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-05-10 19:47:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0760 normal SHIPPED_LIVE Moderate: file security, bug fix, and enhancement update 2016-05-10 22:32:51 UTC

Description Jonathan Works 2014-10-20 19:33:43 UTC
Description of problem:
The file command reports the wrong file type when the first file or directory in a zip archive is named "mime".

Version-Release number of selected component (if applicable):
file.x86_64 0:5.04-21.el6

How reproducible:
Every time


Steps to Reproduce:
# echo mime > mime
# zip mime.zip mime
  adding: mime (stored 0%)
# file mime.zip
mime.zip: data

Actual results:
file command reports "data" for a zip file

Expected results:
# echo notmime > notmime
# zip notmime.zip notmime
  adding: notmime (stored 0%)
# file notmime.zip
notmime.zip: Zip archive data, at least v1.0 to extract


Additional info:
file-4.17-15.el5_3.1 does not have this issue.

http://fpaste.org/143616/38329531/
fpaste includes full commands with hex dump of each file.

Comment 3 Jan Kaluža 2014-10-31 06:12:34 UTC
*** Bug 1158950 has been marked as a duplicate of this bug. ***

Comment 11 errata-xmlrpc 2016-05-10 19:47:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0760.html


Note You need to log in before you can comment on or make changes to this bug.